---
updatedAt: 2025-09-18T22:37:20.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# query-{view_code}

Returns the base64 encoded contract code (Wasm binary) that was deployed to the account.

> 📘 Supported on NEAR (mainnet) only.

## Parameters

* `request_type`- string - The type of request i.e view\_access\_key\_list
* `finality`- string - The assurance that the transaction cannot be altered, reversed, or canceled after they are completed. For finality=final, it means that it has been validated on at least 66% of the nodes in the network and for finality=optimistic, it uses the latest block recorded on the node that responded to the query passed
* `block_id`- int/string - The block id, it could be either block number or block hash
* `account_id`- string - The id of the account associcated with the transaction

Note: You can only use one parameter, either finality or block\_id. The block\_id param can take either the block number or the block hash as an argument.

## Returns

* `hash `- The hash of the block
* `block_height `- The height of the block this transaction was associated with
* `block_hash `- The hash of the block this transaction was associated with
* `code_base64 `- The code encoded in base64

## API Endpoint

The format of a Near API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/near/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/near/`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/near/ \
--request POST \
--header "Content-Type: application/json" \
--data '{"method": "query","params": {"request_type": "view_code", "finality": "final", "account_id": "prophet.poolv1.near"},"id":1,"jsonrpc":"2.0"}'
```

**Result**

```
```